package com.jpattern.gwt.client;

import com.jpattern.gwt.client.cache.ICacheService;
import com.jpattern.gwt.client.history.IHistoryService;
import com.jpattern.gwt.client.logger.ILoggerService;
import com.jpattern.gwt.client.serializer.ISerializerService;

/**
 * 
 * @author Francesco Cina'
 *
 * 12 Apr 2011
 */
public interface IApplicationProvider {
	
	IService getService(String serviceName);

	ILoggerService getLoggerService();
	
	IServerCallService getServerCallService();
	
	ISerializerService getSerializerService();
	
	ICacheService getCacheService();
	
	IHistoryService getHistoryService();
	
}
